%define base_name	creal
%define name		ocaml-%{base_name}
%define version		0.6
%define release		%mkrel 5

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Exact real arithmetic for Objective Caml
Source: 	http://www.lri.fr/~filliatr/ftp/ocaml/ds/%{base_name}-%{version}.tar.bz2
URL:		http://www.lri.fr/~filliatr/software.en.html
License:	LGPL
Group:		Development/Other
BuildRequires:	ocaml
BuildRequires:  gmp-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Creal is an exact real arithmetic library for Objective Caml.	
This  module  implements  exact  real  arithmetic,  following  Valrie
Mnissier-Morain Ph.D. thesis (http://www-calfor.lip6.fr/~vmm/).
A  real  x  is  represented  as  a function  giving,  for  any  n,  an
approximation zn/4^n of x  such that |zn/4^n - x| < 1,  where zn is an
arbitrary precision integer (of type Gmp.Z.t).
Coercions from type int, Gmp.Z.t, Gmp.Q.t, basic operations (addition,
subtraction,  multiplication,   division,  power,  square   root)  and
transcendental  functions (sin,  cos, tan,  log, exp,  arcsin, arccos,
etc.) and a few constants (pi, e) are provided.
A small reverse-polish calculator is provided to test the library.
Written by Jean-Christophe Fillitre.

%package devel
Summary:	Exact real arithmetic for Objective Caml
Group:		Development/Other

%description devel
Creal is an exact real arithmetic library for Objective Caml.	

%prep
%setup -q -n %{base_name}-%{version}
chmod 644 README CHANGES *.mli mlgmp/*.mli
perl -pi -e 's/\015$//' README

%build
%configure
%make

%install
rm -rf %{buildroot}
destdir=`ocamlc -where`
install -d %{buildroot}$destdir
make LIBDIR=%{buildroot}%{_libdir}/ocaml/%{base_name} install-lib

%clean
rm -rf %{buildroot}

%files devel
%defattr(-,root,root)
%doc README CHANGES
%{_libdir}/ocaml/%{base_name}

%changelog
* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.6-5mdv2007.0
- Rebuild

* Tue Apr 25 2006 Pixel <pixel@mandriva.com> 0.6-4mdk
- rebuild for new ocaml

* Thu Jan 19 2006 Pixel <pixel@mandriva.com> 0.6-3mdk
- rebuild for new ocaml

* Mon Nov 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.6-2mdk
- rebuild for new ocaml

* Wed Nov 02 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.6-1mdk
- contributed by Julien Narboux (Julien.Narboux@inria.fr)
